package de.fitko.fitconnect;

import de.fitko.fitconnect.api.domain.model.metadata.Metadata;
import de.fitko.fitconnect.api.domain.model.metadata.data.Data;
import de.fitko.fitconnect.api.domain.model.submission.Submission;
import de.fitko.fitconnect.client.SenderClient;
import de.fitko.fitconnect.client.SubscriberClient;

import java.util.Collections;
import java.util.Optional;

public class TestRunner {

    public static void main(String[] args) {

        var clientId = "781f6213-0f0f-4a79-9372-e7187ffda98b";
        var secret = "PnzR8Vbmhpv_VwTkT34wponqXWK8WBm-LADlryYdV4o";

        // sample calls to the fluent sender client
        final Optional<Submission> sentSubmission =  SenderClient.builder()
                .authenticate(clientId, secret)
                .createSubmission(Submission.builder().build())
                .uploadAttachments(Collections.emptyList())
                .sendSubmission(Metadata.builder().build(), Data.builder().build());

        SubscriberClient.builder()
                .authenticate(clientId, secret);

    }

}
