package de.fitko.fitconnect.client;

import com.google.inject.Guice;
import com.google.inject.Injector;
import de.fitko.fitconnect.dependency.SdkModule;

public abstract class Client {

    private static final Injector injector = Guice.createInjector(new SdkModule());

    static <T> T getService(Class<T> clazz){
        return injector.getInstance(clazz);
    }
}
